rate_ctr Struct Reference
Rate counters

data we keep for each actual value More...

`#include <rate_ctr.h>`

## Data Fields

uint64_t | current
| current value More...
uint64_t | previous
| previous value, used for delta More...
struct rate_ctr_per_intv | intv [RATE_CTR_INTV_NUM]
| per-interval data More...

## Detailed Description

data we keep for each actual value

## Field Documentation

## current

uint64_t rate_ctr::current

current value

Referenced by interval_expired(), rate_ctr_add(), rate_ctr_difference(), and rate_ctr_handler().

## intv

struct rate_ctr_per_intv rate_ctr::intv[RATE_CTR_INTV_NUM]

per-interval data

Referenced by interval_expired().

## previous

uint64_t rate_ctr::previous

previous value, used for delta

Referenced by rate_ctr_difference().

The documentation for this struct was generated from the following file:

- include/osmocom/core/rate_ctr.h